Page MenuHomePhabricator

Set up Blazegraph test suite on CI
Closed, ResolvedPublic

Description

Since original Blazegraph developers are no longer actively maintaining Blazegraph, we may need to take more active role in it. We already have a number of patches for Blazegraph in the version we use (wikidata/query/blazegraph gerrit repo) and we may have more. To properly test them, we need CI setup that is capable of running full Blazegraph test suite.

There are instruction for doing this at https://wiki.blazegraph.com/wiki/index.php/Contributors#Unit_tests but not sure how these are up-to-date.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 22 2019, 11:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as Normal priority.Feb 22 2019, 11:22 PM
Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.Feb 27 2019, 7:20 PM

Change 493340 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[integration/config@master] CI configuration for Blazegraph

https://gerrit.wikimedia.org/r/493340

Change 493711 had a related patch set uploaded (by Hashar; owner: Hashar):
[wikidata/query/blazegraph@wmf] pom: surefire fails with system class loader

https://gerrit.wikimedia.org/r/493711

Mentioned in SAL (#wikimedia-releng) [2019-03-01T15:49:34Z] <hashar> wikidata/query/blazegraph change Gerrit config to require a change-id # T216855

Change 493712 had a related patch set uploaded (by Hashar; owner: Hashar):
[wikidata/query/blazegraph@wmf] pom: surefire fails with system class loader

https://gerrit.wikimedia.org/r/493712

Change 493711 abandoned by Hashar:
pom: surefire fails with system class loader

Reason:
Replaced by https://gerrit.wikimedia.org/r/#/c/wikidata/query/blazegraph/ /493712 p

https://gerrit.wikimedia.org/r/493711

Change 493712 merged by Smalyshev:
[wikidata/query/blazegraph@wmf] pom: surefire fails with system class loader

https://gerrit.wikimedia.org/r/493712

Change 493340 merged by jenkins-bot:
[integration/config@master] CI configuration for Blazegraph

https://gerrit.wikimedia.org/r/493340

Gehel removed a project: Patch-For-Review.
Gehel added a subscriber: Gehel.

We now have a Jenkins job for blazegraph, but the tests are currently failing.

Change 495166 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[integration/config@master] Increase timeout for Blazegraph job

https://gerrit.wikimedia.org/r/495166

We need to increase timeout, 30 mins is not enough.

Change 495166 merged by jenkins-bot:
[integration/config@master] Timeout param for maven jobs, raise it for Blazegraph

https://gerrit.wikimedia.org/r/495166

Smalyshev moved this task from Doing to Done on the User-Smalyshev board.
Smalyshev closed this task as Resolved.Mar 9 2019, 12:39 AM
Smalyshev claimed this task.

Seems to work now!